## PhoshFavoriteListModel

PhoshFavoriteListModel

## Functions

PhoshFavoriteListModel * | phosh_favorite_list_model_get_default ()
gboolean | phosh_favorite_list_model_app_is_favorite ()
void | phosh_favorite_list_model_add_app ()
void | phosh_favorite_list_model_remove_app ()

## Types and Values

#define | PHOSH_TYPE_FAVORITE_LIST_MODEL
struct | PhoshFavoriteListModelClass
| PhoshFavoriteListModel

## Object Hierarchy

        GObject
        ╰── PhoshFavoriteListModel

## Implemented Interfaces

PhoshFavoriteListModel implements GListModel.

## Description

## Functions

### phosh_favorite_list_model_get_default ()

    PhoshFavoriteListModel *
    phosh_favorite_list_model_get_default (void);

#### Returns

The global PhoshFavoriteListModel singleton.

[transfer none]

### phosh_favorite_list_model_app_is_favorite ()

    gboolean
    phosh_favorite_list_model_app_is_favorite
                                   (PhoshFavoriteListModel *self,
                                    GAppInfo *app);

#### Parameters

self | the PhoshFavoriteListModel, use `NULL` for the default. | [nullable]
app | a GAppInfo to lookup |

#### Returns

`TRUE` if `app` if currently favorited, otherwise `FALSE`

### phosh_favorite_list_model_add_app ()

    void
    phosh_favorite_list_model_add_app (PhoshFavoriteListModel *self,
                                       GAppInfo *app);

### phosh_favorite_list_model_remove_app ()

    void
    phosh_favorite_list_model_remove_app (PhoshFavoriteListModel *self,
                                          GAppInfo *app);

## Types and Values

### PHOSH_TYPE_FAVORITE_LIST_MODEL

    #define PHOSH_TYPE_FAVORITE_LIST_MODEL phosh_favorite_list_model_get_type()

### struct PhoshFavoriteListModelClass

    struct PhoshFavoriteListModelClass {
      GObjectClass parent_class;
    };

### PhoshFavoriteListModel

    typedef struct _PhoshFavoriteListModel PhoshFavoriteListModel;